Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 618819 - subscription-manager-gui will not start if invalid identity certs are on the system
subscription-manager-gui will not start if invalid identity certs are on the ...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager (Show other bugs)
6.1
All Linux
medium Severity medium
: rc
: ---
Assigned To: Bryan Kearney
wes hayutin
:
Depends On:
Blocks: 568421
  Show dependency treegraph
 
Reported: 2010-07-27 15:52 EDT by wes hayutin
Modified: 2011-05-19 09:41 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 09:41:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2011:0611 normal SHIPPED_LIVE new package: subscription-manager 2011-05-18 13:56:21 EDT

  None (edit)
Description wes hayutin 2010-07-27 15:52:35 EDT
Get error:


[root@dhcp231-93 ~]# subscription-manager-gui 
Gtk-Message: Failed to load module "gnomebreakpad": libgnomebreakpad.so: cannot open shared object file: No such file or directory
Traceback (most recent call last):
  File "/usr/sbin/subscription-manager-gui", line 50, in <module>
    from gui import managergui
  File "/usr/share/rhsm/gui/managergui.py", line 79, in <module>
    consumer = get_consumer()
  File "/usr/share/rhsm/gui/managergui.py", line 74, in get_consumer
    consumer_info = {"consumer_name" : consumer.getConsumerName(),
  File "/usr/share/rhsm/certlib.py", line 482, in getConsumerName
    altName = self.x509.alternateName()
  File "/usr/share/rhsm/certificate.py", line 89, in alternateName
    nameExt = self.x509.get_ext('subjectAltName')
  File "/usr/lib64/python2.6/site-packages/M2Crypto/X509.py", line 519, in get_ext
    raise LookupError
LookupError


*** work around ** 
rm -Rf /etc/pki/consumer/*
Comment 1 Ajay Kumar Nadathur Sreenivasan 2010-09-01 12:57:06 EDT
Fixed. sha: 1056804b031784079dadae18c34bd495d70af091
Comment 2 John Sefler 2010-09-09 17:13:13 EDT
VERSION:
[root@jsefler-rhel6-consumer02 tmp]# rpm -q subscription-manager
subscription-manager-0.77-1.el6.x86_64
[root@jsefler-rhel6-consumer02 tmp]# rpm -q subscription-manager-gnome
subscription-manager-gnome-0.77-1.el6.x86_64



TEST WITH A VALID IDENTITY CERT:
[root@jsefler-rhel6-consumer02 tmp]# subscription-manager-cli register --username=admin --password=admin
96d66bb6-eaa5-43be-afdf-cc734afe6a85 admin
[root@jsefler-rhel6-consumer02 tmp]# subscription-manager-gui
Gtk-Message: Failed to load module "gnomebreakpad": libgnomebreakpad.so: cannot open shared object file: No such file or directory

(subscription-manager-gui:3664): libglade-WARNING **: Unexpected element <property> inside <widget>.

NO TRACEBACK IS THROWN WHEN STARTING subscription-manager-gui
ALSO VERIFIED THAT THE GUI OPENS WITH THE USER ALREADY REGISTERED AND CAN BE MODIFIED WITH THE "Modify Registration" BUTTON



TEST WITH A BAD IDENTITY CERT:
[root@jsefler-rhel6-consumer02 tmp]# sed -i s/A/B/g /etc/pki/consumer/cert.pem
[root@jsefler-rhel6-consumer02 tmp]# subscription-manager-gui
Gtk-Message: Failed to load module "gnomebreakpad": libgnomebreakpad.so: cannot open shared object file: No such file or directory

(subscription-manager-gui:3733): libglade-WARNING **: Unexpected element <property> inside <widget>.

NO TRACEBACK IS THROWN WHEN STARTING subscription-manager-gui
ALSO NOTE THAT THE GUI OPENS WITHOUT A REGISTERED CONSUMER AND CAN BE NEWLY REGISTERED WITH THE "Register System" BUTTON.



TEST WITHOUT ANY IDENTITY CERT:
[root@jsefler-rhel6-consumer02 tmp]# rm /etc/pki/consumer/cert.pem 
rm: remove regular file `/etc/pki/consumer/cert.pem'? y
[root@jsefler-rhel6-consumer02 tmp]# subscription-manager-gui
Gtk-Message: Failed to load module "gnomebreakpad": libgnomebreakpad.so: cannot open shared object file: No such file or directory

(subscription-manager-gui:3858): libglade-WARNING **: Unexpected element <property> inside <widget>.

NO TRACEBACK IS THROWN WHEN STARTING subscription-manager-gui
ALSO NOTE THAT THE GUI OPENS WITHOUT A REGISTERED CONSUMER AND CAN BE NEWLY REGISTERED WITH THE "Register System" BUTTON.


Moving to VERIFIED
Comment 4 errata-xmlrpc 2011-05-19 09:41:55 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2011-0611.html

Note You need to log in before you can comment on or make changes to this bug.